Subject: Re: Bash hangs when run under telnet
From: [email-masked] (Corinna Vinschen)

20 Nov 1998 22:17:47 -0800
Message-ID: <[email-masked]>
References: <ADF55A17B013D211AEEA00805F8B334E4F8DBE@msxsth1>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: Wolfgang Glas <[email-masked]>, [email-masked]

Wolfgang Glas wrote:
> 
>    I have NT 4.0 SP 3 running together with CygWin32 B20 and I use the
> Ataman Inc. telnet daemon from
> 
>   http://www.ataman.com/
> 
> Every thing work fine for me, so you could try my configuration. There's
> only one minor drawback of my configuration: I have to do all mounts in
> my .bashrc file, since bash 'forgets' about mounts, if started remotely.
> 
>  Maybe this will help you
> 
> Wolfgang

Hello Wolfgang,

I'm using the Ataman telnet deamon, too. If I use CYGWIN=... notty,
it works fine, until I try to use a screen oriented program, like
`vim'. In this case, the program reacts only after every eighth to
tenth key press!

In case of CYGWIN=... tty, this behaviour is the same in the shell
command line, so it's completely unusable.

Do you or any other person have a solution?

To solve your problem with the missing mounts:
The problem is, that the deamon doesn't read any user profile.
If you want to have mount points, also if you start cygwin with 
telnet, you have to do registry entries by hand!

When you open the registry with `regedit', you will find the following
registry key:

HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts

It contains empty entries, named `00' to `1D'. You now have to fill this
entries with the contents of the entries under

HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts

Regards,
Corinna
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".